﻿' code is Copyright (c) 2008 Julian M Bucknall, www.boyet.com
Public Class Form1

    Private _root As IBinaryNode

    Public Sub PaintPanel(ByVal g As Graphics)
        Dim unit As Single = 30.0
        g.ScaleTransform(unit, unit)
        GridLines.Draw(g, Panel2.Width, Panel2.Height, unit)

        g.TranslateTransform(1, 1)
        Using nodePainter As New SimpleNodePainter(g, unit)
            Dim painter As TreePainter = New TreePainter(nodePainter)
            painter.DrawTree(_root)
        End Using
    End Sub

    Private Sub Panel2_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Panel2.Paint
        PaintPanel(e.Graphics)
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        _root = New SimpleNode()
        _root.Left = New SimpleNode()
        _root.Left.Left = New SimpleNode()
        _root.Left.Left.Right = New SimpleNode()
        _root.Right = New SimpleNode()
        _root.Right.Right = New SimpleNode()
        _root.Right.Left = New SimpleNode()
        _root.Right.Left.Left = New SimpleNode()
    End Sub
End Class
